Bug 109781 - yum on x86_64 picks wrong architecture
yum on x86_64 picks wrong architecture
Status: CLOSED UPSTREAM
Product: Red Hat Raw Hide
Classification: Retired
Component: yum (Show other bugs)
1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-11 13:55 EST by Michal Jaegermann
Modified: 2014-01-21 17:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-21 08:17:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2003-11-11 13:55:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.11 (X11; Linux i686; U;) Gecko/20030708

Description of problem:
Manpage for yum.conf says

       $arch  This will be replaced  with  your  architecture  as
              listed by os.uname()[4] in pyhton.

but yum on a test installation of a current "rawhide" on x86_64
machine insists that both $arch and $basearch are i386 
even if printing os.uname()[4] from Python shows a correct value.

(Note: I do not have an access to x86_64 box in this moment so
I cannot vouch for every detail but $basearch, at least, is surely
wrong.)

Version-Release number of selected component (if applicable):
yum-2.0.4-2

How reproducible:
Always

Steps to Reproduce:
1. run yum and watch results


    

Additional info:
Comment 1 Seth Vidal 2003-11-12 14:11:42 EST
triage->upstream

https://devel.linux.duke.edu/bugzilla/show_bug.cgi?id=162


Note You need to log in before you can comment on or make changes to this bug.